% ---------------------------------------------------------------------
% Book:         MVA
% ---------------------------------------------------------------------
% Quantlet:     MVAfacehous506
% ---------------------------------------------------------------------
% Description:  MVAfacehous506 plots Flury faces for the Boston housing
%               data.
% ---------------------------------------------------------------------
% Usage:        MVAfacehous506
% ---------------------------------------------------------------------
% Inputs:       none
% ---------------------------------------------------------------------
% Output:       Plots Flury faces for the Boston housing data.
% ---------------------------------------------------------------------
% Example:      
% ---------------------------------------------------------------------
% Author:       Wolfgang Haerdle
% ---------------------------------------------------------------------

x1=load('bostonh.dat');
x=[log(x1(:,1)),log(x1(:,3)),log(x1(:,5:14))];
h=[x(:,1),x(:,2),x(:,3),x(:,4),x(:,5),x(:,6),x(:,7),x(:,8),x(:,9),x(:,10),x(:,11),x(:,12)];
glyphplot(h, 'Glyph','face','Grid',[5 5],'Page','all')
title('Flury faces for Boston Housing');




 
