% ---------------------------------------------------------------------
% Book:         MVA
% ---------------------------------------------------------------------
% Quantlet:     MVAscree
% ---------------------------------------------------------------------
% Description:  MVAscree computes the scree plot.   
% ---------------------------------------------------------------------
% Usage:        MVAscree
% ---------------------------------------------------------------------
% Inputs:       none
% ---------------------------------------------------------------------
% Output:       Computes the scree plot.
% ---------------------------------------------------------------------
% Example:      
% ---------------------------------------------------------------------
% Author:       Wolfgang Haerdle, Vladimir Georgescu, Song Song
% ---------------------------------------------------------------------

ber=[0 214 279 610 596 237];
dre=[214 0 492 533 496 444];
ham=[279 492 0 520 772 140];
kob=[610 533 520 0 521 687];
mue=[596 496 772 521 0 771];
ros=[237 444 140 687 771 0];

dist=[ber', dre', ham', kob', mue', ros'];


%aa,bb,hh,ii are matrices

aa=(dist.^2).*(-0.5);

a=[1 0 0 0 0 0];
b=[0 1 0 0 0 0];
c=[0 0 1 0 0 0];
d=[0 0 0 1 0 0];
e=[0 0 0 0 1 0];
f=[0 0 0 0 0 1];

ii=[a', b', c', d', e', f'];

u(1:6)=1;

hh=ii-(1/6*(u'*u));
bb=hh*(aa*hh);

[v1 e1]=eig(bb);
e=diag(e1);

aux=0;
for i=1:5
    if e(i)<e(i+1)
        aux=e(i+1);
        e(i+1)=e(i);
        e(i)=aux;
    end
end

index=1:6;
hold on
title('Screeplot');
xlabel('Dimensions');
ylabel('STRESS');
xlim([0.8 6.2]);
scatter(index,e,'k');
hold off
