MVAandcur = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also      min max factor cbind
# ----------------------------------------------------------------------------
#   Macro        MVAandcur
# ----------------------------------------------------------------------------
#   Description  MVAandcur computes andrew`s curves for the observations 
#                96-105 of the Swiss bank notes data ("bank2.dat").
# ----------------------------------------------------------------------------
#  2006-09-22 Julia Wandke
# ----------------------------------------------------------------------------
###source code for andrew curves by Hans Werner (borchers@decrc.abb.de)

andrews.curves <- function(xdf, cls, npts, title="Classes") {
    n <- nrow(xdf)
    clss <- as.factor(cls)
    xpts <- seq(-pi, pi, length=npts)
    X <- xpts
    for (i in 1:n) {
        xi <- unname(unlist(xdf[i, ]))
        ys <- andrews.function(xi, npts)
        X <- cbind(X, ys)
    }
    ymin <- min(X[, 2:(n+1)])
    ymax <- max(X[, 2:(n+1)])
    plot(0, 0, type="n", xlim=c(-pi, pi), ylim=c(ymin, ymax),
         main="Andrews Curves (Bank data)", xlab="t", ylab="f96-f105")

    clrs <- as.integer(clss)
    for (i in 2:(n+1)) {
        lines(X[, 1], X[, i], col=clrs[i-1], lwd=2)
    }
    legend(4, ymax, levels(clss), col=c(1:nlevels(clss)), lty=1)
    
     #return(ys)
}

andrews.function <- function (xs, npts) {
    n <- length(xs)
    xpts <- seq(-pi, pi, length=npts)
    ypts <- c()
    for (p in xpts) {
        y <- xs[1]
        for (i in 2:n) {
             if (i %% 2 == 1) { y <- y + xs[i]*cos((i %/% 2)*p) }
             else             { y <- y + xs[i]*sin((i %/% 2)*p) }
        }
        ypts <- c(ypts, y)
    }
    return(ypts)
}
#-----------------------------------------------------------------------
 data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")  
    x <- data[96:105,]
    y <- NULL
    i = 1

    while(i <= 6){
      z <- (x[,i]-min(x[,i]))/(max(x[,i])-min(x[,i]))
      y <- cbind(y,z)
      i <- i+1}
  
    Type <- c(rep(0,5), rep(1,5))
    fType <- factor(Type, levels=0:1)
    levels(fType) <- c("GENUINE","CONTERFEIT")
    
    y <- cbind(y,fType)
    
    andrews.curves(y[,1:6], y[,7], 50)
}

#2006-09-22 Julia Wandke

