; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAMDScity2
; ----------------------------------------------------------------------------
;   Description  MVAMDScity2 computes the map of the cities
;                
; ----------------------------------------------------------------------------
library("graphic")
library("xplore")
Ber=#(0,214,279,610,596,237)
Dre=#(214,0,492,533,496,444)
Ham=#(279,492,0,520,772,140)
Kob=#(610,533,520,0,521,687)
Mue=#(596,496,772,521,0,771)
Ros=#(237,444,140,687,771,0)
Dist=(Ber~Dre~Ham~Kob~Mue~Ros)
A=(Dist.^2).*(-0.5)
a=#(1,0,0,0,0,0)
b=#(0,1,0,0,0,0)
c=#(0,0,1,0,0,0)
d=#(0,0,0,1,0,0)
e=#(0,0,0,0,1,0)
f=#(0,0,0,0,0,1)
I=(a~b~c~d~e~f)
u=#(1,1,1,1,1,1)
H=I-(1/6*(u*u'))
B=H*(A*H)
G=eigsm(B)
G1=(G.vectors[,5])~(G.vectors[,4])
G2=diag(G.values[5:4,])
X1=G1*(G2.^0.5)
x=cos(pi/2)
y=sin(pi/2)
z=-sin(pi/2)
R=(x~z)|(y~x)             ;rotation
X2=(X1*R)
X=(X2[,1]*(-1)~X2[,2]).+500
X
MDS=createdisplay(1,1)
text="Berlin"|"Dresden"|"Hamburg"|"Koblenz"|"Muenchen"|"Rostock"
color=1
position=3
setmaskt(X,text,color,position)
show(MDS,1,1,X)
setgopt(MDS,1,1,"title","Map of German cities","xlabel","EAST-WEST-DIRECTION in km","ylabel","NORTH-SOUTH-DIRECTION in km","xvalue",0|1,"yvalue",0|1,"xlim",0|1000,"ylim",0|1000)

