; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAMDSpooladj
; ----------------------------------------------------------------------------
;   Description  MVAMDSpooladj computes the pool adjacent 
;                violator algorithm
; ----------------------------------------------------------------------------
library("graphic")
library("plot")
Ber=#(0,2,4,12,11 ,3)
Dre=#(2,0,6,10,7,5)
Ham=#(4,6,0,8,15,1)
Kob=#(12,10,8,0,9,13)
Mue=#(11,7,15,9,0,14)
Ros=#(3,5,1,13,14,0)
Dist=(Ber~Dre~Ham~Kob~Mue~Ros)
A=(Dist.^2).*(-0.5)
a=#(1,0,0,0,0,0)
b=#(0,1,0,0,0,0)
c=#(0,0,1,0,0,0)
d=#(0,0,0,1,0,0)
e=#(0,0,0,0,1,0)
f=#(0,0,0,0,0,1)
I=(a~b~c~d~e~f)
u=#(1,1,1,1,1,1)
H=I-(1/6*(u*u'))
B=H*A*H
G=eigsm(B)
G1=(G.vectors[,5])~(G.vectors[,4])
G2=diag(G.values[5:4,])
X=G1*(G2.^0.5)
d12=((X[1,1]-X[2,1])^2+(X[1,2]-X[2,2])^2)^0.5
d13=((X[1,1]-X[3,1])^2+(X[1,2]-X[3,2])^2)^0.5
d14=((X[1,1]-X[4,1])^2+(X[1,2]-X[4,2])^2)^0.5
d15=((X[1,1]-X[5,1])^2+(X[1,2]-X[5,2])^2)^0.5
d16=((X[1,1]-X[6,1])^2+(X[1,2]-X[6,2])^2)^0.5
d23=((X[2,1]-X[3,1])^2+(X[2,2]-X[3,2])^2)^0.5
d24=((X[2,1]-X[4,1])^2+(X[2,2]-X[4,2])^2)^0.5
d25=((X[2,1]-X[5,1])^2+(X[2,2]-X[5,2])^2)^0.5
d26=((X[2,1]-X[6,1])^2+(X[2,2]-X[6,2])^2)^0.5
d34=((X[3,1]-X[4,1])^2+(X[3,2]-X[4,2])^2)^0.5
d35=((X[3,1]-X[5,1])^2+(X[3,2]-X[5,2])^2)^0.5
d36=((X[3,1]-X[6,1])^2+(X[3,2]-X[6,2])^2)^0.5
d45=((X[4,1]-X[5,1])^2+(X[4,2]-X[5,2])^2)^0.5
d46=((X[4,1]-X[6,1])^2+(X[4,2]-X[6,2])^2)^0.5
d56=((X[5,1]-X[6,1])^2+(X[5,2]-X[6,2])^2)^0.5
d14=(d14+d15)/2
d15=d14
d16=(d14+d15+d16+d23+d24+d25+d26)/7
d14=d16
d15=d16
d23=d16
d24=d16
d25=d16
d26=d16
d35=(d35+d36)/2
d36=d35
D=(0~d12~d13~d14~d15~d16)|(d12~0~d23~d24~d25~d26)|(d13~d23~0~d34~d35~d36)|(d14~d24~d34~0~d45~d46)|(d15~d25~d35~d45~0~d56)|(d16~d26~d36~d46~d56~0)
f=(1:15)~(d12|d13|d14|d15|d16|d23|d24|d25|d26|d34|d35|d36|d45|d46|d56)
l=(15|1)~(14.4|3.17)
MDS=createdisplay(1,1)
t=setmask(f,"line","blue","medium","dotted")
l=setmask(l,"line","blue","medium","solid")
show(MDS,1,1,f,l,t)
setgopt(MDS,1,1,"title","Pool-Adjacent-Violator-Algorithm","xlabel","rank","ylabel","distance")



