; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      mean cov
; ----------------------------------------------------------------------------
;   Macro        MVAaer
; ----------------------------------------------------------------------------
;   Description  MVAaer calculates the actual error rate for swiss banknotes 
; ----------------------------------------------------------------------------
proc ()=main()
 x=read("bank2")         ; reads data
;
 xg=x[  1:100]           ; genuine bank notes
 xf=x[101:200]           ; forged bank notes
;
 i=0
 miss1=0
 mf=mean(xf)             ; mean of forged notes
 while (i<100)
  i=i+1
  xi=paf(x,1:200<>i)
  xg=xi[1:99,] 
  mg=mean(xg)             ; mean of genuine notes
  m=(mf+mg)/2             ; mean of all notes
 ;
  s=(98*cov(xg)+99*cov(xf))/197    ; common variance matrix
  alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
  miss1=miss1+((x[i,]-m)*alpha<0)  ; missclasified genuines
 endo
;
 miss2=0
 xg=x[  1:100]           ; genuine bank notes
 mg=mean(xg)             ; mean of genuine notes
 while (i<200)
  i=i+1
  xf=xi[101:199,]
  mf=mean(xf)             ; mean of forged notes
  m=(mf+mg)/2             ; mean of all notes
 ;
  s=(98*cov(xg)+99*cov(xf))/197    ; common variance matrix
  alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
  miss2=sum((xf-m)*alpha>0)        ; missclasified forged b's
 endo
; 
 "Genuine banknotes classified as forged: "+string("%3.0f",miss1)|"Forged banknotes classified as genuine: "+string("%3.0f",miss2)|"AER (actual error rate):                  "+string("%5.3f",(miss1+miss2)/rows(x))
endp
library("xplore")
main()

