; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      mean cov
; ----------------------------------------------------------------------------
;   Macro        MVAaerbh
; ----------------------------------------------------------------------------
;   Description  MVAaerbh calculates the actual error rate for boston housing 
; ----------------------------------------------------------------------------
proc ()=main()
  library("xplore")
  library("stats")
  x=read("bostonh")
  xt=x
  xt[,1]=log(x[,1])
  xt[,2]=x[,2]/10
  xt[,3]=log(x[,3])
  xt[,5]=log(x[,5])
  xt[,6]=log(x[,6])
  xt[,7]=(x[,7]^(2.5))/10000
  xt[,8]=log(x[,8])
  xt[,9]=log(x[,9])
  xt[,10]=log(x[,10])
  xt[,11]=exp(0.4*x[,11])/1000
  xt[,12]=x[,12]/100
  xt[,13]=sqrt(x[,13])
  xt[,14]=log(x[,14])
  x=xt[,1:3|5:14]                            
  n=rows(x)
  x=(x-mean(x))./sqrt((n-1)*var(x)/n)  ; standardize
  d=distance(x,"euclid")
  t = agglom (d, "ward", 2)
  true=t.pd          ; define the clusters, true=1 if cluster=1
;
;!!!uncomment the following lines to discriminate according to the price
;  true=(xt[,14].>median(xt[,14]))+1
;  x=x[,1:12]
;or Charles river indicator
;true=x[,4]+1
;
  ng=2*n-sum(true)
  nf=n-ng
  i=0
  corr1=0
  corr2=0
  miss1=0
  miss2=0
  while (i<n)
    i=i+1
    xi=paf(x,1:n<>i)
    truei=paf(true,1:n<>i)
    xg=paf(xi,truei==1)           
    xf=paf(xi,truei==2)                     
    mf=mean(xf)             ; mean 1
    mg=mean(xg)             ; mean 2
    m=(mf+mg)/2             ; mean of all 
;
    s=((rows(xg)-1)*cov(xg)+(rows(xf)-1)*cov(xf))/(rows(x)-2)    
    alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
    miss1=miss1+(true[i]==1)*((x[i,]-m)*alpha<0)  ; missclasified 1
    corr1=corr1+(true[i]==1)*((x[i,]-m)*alpha>0)  ; correct 1
    corr2=corr2+(true[i]==2)*((x[i,]-m)*alpha<0)  ; correct 2
    miss2=miss2+(true[i]==2)*((x[i,]-m)*alpha>0)  ; missclasified 2
  endo
;
  "Group 1 classified as 2: "+string("%3.0f",miss1)|"Group 2 classified as 1: "+string("%3.0f",miss2)|"Group 1 classified as 1: "+string("%3.0f",corr1)|"Group 2 classified as 2: "+string("%3.0f",corr2)|"AER (actual error rate):                  "+string("%5.3f",(miss1+miss2)/rows(x))
endp
library("xplore")
main()


