; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      grandrews min max createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAandcur2
; ----------------------------------------------------------------------------
;   Description  MVAandcur2 computes andrew`s curves for the observations 
;                96-105 of the Swiss bank notes data ("bank2.dat").
;                Here we changed the order of the variables 
; ----------------------------------------------------------------------------
library("graphic")                   ; loads the graphic library 
library("plot")                      ; loads the plot library
;
x=read("bank2")                      ; reads data
z=x[96:105,]                         ; extracts observations 96-105
z=(z-min(z))./(max(z)-min(z))        ; standardizes the data     
z=z[,6:1]                            ; changes the order of the variables
;
col=#(0|0|0|0|0)|#(4|4|4|4|4)
gs1=grandrews(z,50,col)              ; andrews curves
;
di=createdisplay(1,1)                ; creates display
show(di,1,1,gs1)                     ; shows andrews curves
setgopt(di,1,1,"xlabel","t","ylabel","f96 - f105")
setgopt(di,1,1,"title","Andrews curves (Bank data)")
