; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      mean cov
; ----------------------------------------------------------------------------
;   Macro        MVAaper
; ----------------------------------------------------------------------------
;   Description  MVAaper demonstrates ML discrimination rule and calculates
;                the apparent error rate for swiss banknotes 
; ----------------------------------------------------------------------------
 library("xplore")
 x=read("bank2")         ; reads data
;
 xg=x[  1:100]           ; genuine bank notes
 xf=x[101:200]           ; forged bank notes
;
 mg=mean(xg)             ; mean of genuine notes
 mf=mean(xf)             ; mean of forged notes
 m=(mf+mg)/2             ; mean of all notes
;
 s=(99*cov(xg)+99*cov(xf))/198    ; common variance matrix
 alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
 miss1=sum((xg-m)*alpha<0)        ; missclasified genuines
 miss2=sum((xf-m)*alpha>0)        ; missclasified forged b's
; 
 "Genuine banknotes classified as forged: "+string("%3.0f",miss1)|"Forged banknotes classified as genuine: "+string("%3.0f",miss2)|"APER (apparent error rate):               "+string("%5.3f",(miss1+miss2)/rows(x))

