; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      mean cov
; ----------------------------------------------------------------------------
;   Macro        MVAaperbh
; ----------------------------------------------------------------------------
;   Description  MVAaper demonstrates ML discrimination rule and calculates
;                the apparent error rate for boston housing 
; ----------------------------------------------------------------------------
library("xplore")
library("stats")
x=read("bostonh")
xt=x
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])
;
true=(xt[,14].>median(xt[,14]))
;
xg=paf(xt[,1:3|5:13],true==1)           
xf=paf(xt[,1:3|5:13],true==0)                     
;
mg=mean(xg)             ; mean 1
mf=mean(xf)             ; mean 2
m=(mf+mg)/2             ; mean of all 
;
s=((rows(xg)-1)*cov(xg)+(rows(xf)-1)*cov(xf))/(rows(xt)-2)    
                                 ; common variance matrix
alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
miss1=sum((xg-m)*alpha<0)        ; missclasified 1
miss2=sum((xf-m)*alpha>0)        ; missclasified 2
corr1=sum((xg-m)*alpha>0)        ; correctly clasified 1
corr2=sum((xf-m)*alpha<0)        ; correctly clasified 2
; 
"Group 1 classified as 2: "+string("%3.0f",miss1)|"Group 2 classified as 1: "+string("%3.0f",miss2)|"Group 1 classified as 1: "+string("%3.0f",corr1)|"Group 2 classified as 2: "+string("%3.0f",corr2)|"APER (apparent error rate):               "+string("%5.3f",(miss1+miss2)/rows(xt))



