; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grash
; ----------------------------------------------------------------------------
;   Macro       MVAashbank
; ----------------------------------------------------------------------------
;   Description  MVAashbank computes the averaged shifted histogram for the 
;                diagonal of all swiss bank notes ("bank2.dat").
; ----------------------------------------------------------------------------
  x=read("bank2")                  ; reads the data file
  library("smoother")              ; loads the smoother library  
  library("graphic")               ; loads the graphic library
  x=x[,6]                          ; diagonal   
                                   ;  
  fh1=grash(x, 0.4, 2)             ; ASH, binwith 0.4, 2 shifts 
  fh2=grash(x, 0.4, 4)             ; commands to compute averaged shifted
  fh3=grash(x, 0.4, 8)             ; histograms with alternative  
  fh4=grash(x, 0.4, 16)            ; nt. of shifts 4, 8, 16  
                                   ;  
  di=createdisplay(2,2)            ; creates 4 windows  
  show(di, 1, 1, fh1)              ; commands to show the ASHes
  show(di, 2, 1, fh2)              ; in the four windows
  show(di, 1, 2, fh3)
  show(di, 2, 2, fh4)  
  setgopt(di, 1, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","2 shifts ")
  setgopt(di, 2, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","4 shifts")
  setgopt(di, 1, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","8 shifts")
  setgopt(di, 2, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","16 shifts") 

