; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grbox grrot grmove createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAboxbank1
; ----------------------------------------------------------------------------
;   Description  MVAboxbank1 computes Boxplots for the length (Variable 1) 
;                of the genuine and forged banknotes from bank2.dat, 
;                respectively
; ----------------------------------------------------------------------------
library("graphic")                      ; loads the plot library
;
x=read("bank2")                        ; reads the data file
;
bpg=grbox(x[1:100,1])                  ; boxplot for length (genuine notes)
bpf=grbox(x[101:200,1])                ; boxplot for length (forged  notes)
grg=grrot(bpg,1)                       ; rotation of the plot
grf=grrot(bpf,1)                       ; rotation of the plot
;
go=grmove(grf,#(1.5,0))                ; moves the plot of the forged notes to the right
axesoff()
axes=graxes((-0.5|3)~((min(x[,1])-0.05*(max(x[,1])-min(x[,1])))|max(x[,1])),"origin",7.5,"ytextpos",9,"xtextpos",6,"xticks",0.5|2,"xtext","GENUINE"|"COUNTERFEIT","xtextsize",16,"ytextsize",16)
di=createdisplay(1,1)                  ; create display "di"
show(di,1,1,go,grg,axes)                    ; show boxplots
setgopt(di,1,1,"title","Swiss bank notes")
;setgopt(di,1,1,"title","swiss bank notes","xlim",#(-0.5,3),"ylabel","length","xmajor",0)



