; -----------------------------------------------------------------------
; EBook         mva
; -----------------------------------------------------------------------
;  See_also     grbox grrot grmove createdisplay show setgopt
; -----------------------------------------------------------------------
;   Macro       MVAboxbhd
; -----------------------------------------------------------------------
;   Description  MVAboxbhd computes Boxplots for the 14 variables of
;								 Noston Housing data
; -----------------------------------------------------------------------
 library("graphic")
 x=read("bostonh")                ; reads the whole bostonh data file
 xt=log(x[,1])~x[,2]~log(x[,3])~x[,4]~log(x[,5])~log(x[,6])~(x[,7]^(2.5))~log(x[,8])~log(x[,9])~log(x[,10])~exp(0.4*x[,11])~x[,12]~sqrt(x[,13])~log(x[,14])
																	; transformations
 x=(x-mean(x))./sqrt(var(x))
 xt=(xt-mean(xt))./sqrt(var(xt))  ; standardize
 ;
 bp1=grmove(grrot(grbox(x[,1]),1),#(1*1.5,0))  
 bp2=grmove(grrot(grbox(x[,2]),1),#(2*1.5,0)) 
 bp3=grmove(grrot(grbox(x[,3]),1),#(3*1.5,0)) 
 bp4=grmove(grrot(grbox(x[,4]),1),#(4*1.5,0))  
 bp5=grmove(grrot(grbox(x[,5]),1),#(5*1.5,0))  
 bp6=grmove(grrot(grbox(x[,6]),1),#(6*1.5,0))  
 bp7=grmove(grrot(grbox(x[,7]),1),#(7*1.5,0))  
 bp8=grmove(grrot(grbox(x[,8]),1),#(8*1.5,0))  
 bp9=grmove(grrot(grbox(x[,9]),1),#(9*1.5,0))  
 bp10=grmove(grrot(grbox(x[,10]),1),#(10*1.5,0)) 
 bp11=grmove(grrot(grbox(x[,11]),1),#(11*1.5,0)) 
 bp12=grmove(grrot(grbox(x[,12]),1),#(12*1.5,0))  
 bp13=grmove(grrot(grbox(x[,13]),1),#(13*1.5,0))  
 bp14=grmove(grrot(grbox(x[,14]),1),#(14*1.5,0))  
 ;
 bp1t=grmove(grrot(grbox(xt[,1]),1),#(1*1.5,0))  
 bp2t=grmove(grrot(grbox(xt[,2]),1),#(2*1.5,0)) 
 bp3t=grmove(grrot(grbox(xt[,3]),1),#(3*1.5,0)) 
 bp4t=grmove(grrot(grbox(xt[,4]),1),#(4*1.5,0))  
 bp5t=grmove(grrot(grbox(xt[,5]),1),#(5*1.5,0))  
 bp6t=grmove(grrot(grbox(xt[,6]),1),#(6*1.5,0))  
 bp7t=grmove(grrot(grbox(xt[,7]),1),#(7*1.5,0))  
 bp8t=grmove(grrot(grbox(xt[,8]),1),#(8*1.5,0))  
 bp9t=grmove(grrot(grbox(xt[,9]),1),#(9*1.5,0))  
 bp10t=grmove(grrot(grbox(xt[,10]),1),#(10*1.5,0)) 
 bp11t=grmove(grrot(grbox(xt[,11]),1),#(11*1.5,0)) 
 bp12t=grmove(grrot(grbox(xt[,12]),1),#(12*1.5,0))  
 bp13t=grmove(grrot(grbox(xt[,13]),1),#(13*1.5,0))  
 bp14t=grmove(grrot(grbox(xt[,14]),1),#(14*1.5,0))  
 ;
 axesoff()
; axes=graxes((-0.5|4.5)~((min(x[,3])-0.05*(max(x[,3])-min(x[,3])))|max(x[,3])),"origin",7.5,"ytextpos",9,"xtextpos",6,"xticks",0.5|2|3.5,"xtext","US"|"JAPAN"|"EU","xtextsize",16)
 di=createdisplay(2,1)            ; create display "di"
 show(di,1,1,bp1,bp2,bp3,bp4,bp5,bp6,bp7,bp8,bp9,bp10,bp11,bp12,bp13,bp14)
 show(di,2,1,bp1t,bp2t,bp3t,bp4t,bp5t,bp6t,bp7t,bp8t,bp9t,bp10t,bp11t,bp12t,bp13t,bp14t)         
 setgopt(di,1,1,"title","Boston Housing data")
 setgopt(di,2,1,"title","Transformed Boston Housing data")





