; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     fivenum grbox grrot createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAboxcity
; ----------------------------------------------------------------------------
;   Description  MVAboxcity computes the Five Number Summary and a Boxplot 
;                for 1st column of the dataset popul.dat 
; ----------------------------------------------------------------------------
 x=read("popul")                     ; reads data file
 library("stats")                    ; loads the stats library 
 library("graphic")                  ; loads the smoother library 
;
 x=x[,1]                             ; use only first column
 f=fivenum(x)                        ; gives Five Number Summary
 f                                   ; display Five Number Summary
;
 b1d=grbox(x)                        ; boxplot of the us cities
 bd1=grrot(b1d,1)                    ; rotation of the plot
 axes=graxes((-0.5|1.5)~(min(x)-0.05*(max(x)-min(x))|max(x)),"yticks",quantile (x, (0:2)/2),"origin",7.5,"xticks",0.5,"xtext","US cities","xtextpos",6,"ytextpos",9,"xtextsize",16,"ytextsize",16)
 di=createdisplay(1,1)               ; createdisplay "di"
 axesoff()
 show(di,1,1,bd1,axes)               ; shows boxplot
; setgopt(di,1,1,"xlim",#(-0.5,1.5),"title","Boxplot","xmajor",0)  


