; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grbox grrot grmove createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAboxhousinglog
; ----------------------------------------------------------------------------
;   Description  MVAboxhousinglog computes Boxplots for the log of median value
;                of houses closer and farther from the Charles River (Var. 4) 
;                respectively
; ----------------------------------------------------------------------------
 x=read("bostonh")                      ; reads the data file
 x[506,14]=11.9													; fix the eof bug
 library("graphic")                     ; loads the graphic library
;
 x[,14]=log(x[,14])
 xclose=paf(x[,14],x[,4]==1)
 xfar=paf(x[,14],x[,4]==0)
 bpg=grbox(xclose)                      ; boxplot for close houses
 bpf=grbox(xfar)                        ; boxplot for houses far from the river
 grg=grrot(bpg,1)                       ; rotation of the plot
 grf=grrot(bpf,1)                       ; rotation of the plot
;
 go=grmove(grf,#(1.5,0))                ; moves the plot of the forged notes to the right
 axesoff()
 axes=graxes((-0.5|3)~(1|max(x[,14])),"yticks",min(xclose)|min(xfar)|median(xclose)|median(xfar)|max(xclose)|max(xfar),"origin",7.5,"ytextpos",9,"xtextpos",6,"xticks",0.5|2,"xtext","CLOSE"|"FAR","xtextsize",16,"ytextsize",16)
 di=createdisplay(1,1)                  ; create display "di"
 show(di,1,1,go,grg,axes)                    ; show boxplots
; setgopt(di,1,1,"title","swiss bank notes","xlim",#(-0.5,3),"ylabel","diagonal","xmajor",0)




