; ----------------------------------------------------------------------------
; EBook          mva
; ----------------------------------------------------------------------------
;  See_also      cov diag eigsm svdcmp setmaskp setmaskt plot setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAcanus
; ----------------------------------------------------------------------------
;   Description  MVAcanus performs a canonical correlation analysis 
;                for the US health and US crime data 
; ----------------------------------------------------------------------------
library("xplore")
library("plot")
x=read("uscrime")
x=x[,3:9]
;x=x/sqrt(x)
y=read("ushealth")
y=y[,4:10]
;y=y/sqrt(y)
sxx=cov(x)
syy=cov(y)
sxy=cov(x~y)[1:7,8:14]
{eval,evec}=eigensm(sxx)           ; square root of sxx
sxx12=evec*(sqrt(diag(1/eval)))*evec'
{eval,evec}=eigensm(syy)           ; square root of syy
syy12=evec*(sqrt(diag(1/eval)))*evec'
k=sxx12*sxy*syy12
{gamma,l,delta}=svd(k)
l
a=sxx12*gamma
a
b=syy12*delta
b
eta=x*a
phi=y*b
;plotsplom(x~y,grc.prep.none)
plot(eta[,1]~phi[,1])



