; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also    isoreg setmaskp setmaskl setmaskt createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAcarrankings
; ----------------------------------------------------------------------------
;   Description  plot of estimated preference ordering vs. revealed rankings
;                and monotonic regression fit (PAV algorithm)
;-----------------------------------------------------------------------------
x=#(1,2,3,4,5,6)
y=#(0.84,1.84,3.16,3.48,6.16,4.16)
text=" car1"|" car2"|" car3"|" car4"|" car5"|" car6"
d=createdisplay(1,1)
z=x~y
mh = z[,1]~isoreg (z[,2])
setmaskt(z,text,0,3,14)
setmaskl(mh,(1:6)')
setmaskp(z,4,8,6)
setmaskp(mh,0,8,0)
show(d,1,1,z,mh)
setgopt(d,1,1,"title","Car rankings","xlabel","revealed rankings","ylabel","estimated rankings","xlim",0.5|6.5)


