proc(y)=distribution(n)              ; subroutine for distribution
  y=uniform(n)
endp
;
proc()=main()
  nl=5                               ; start value for n
  nu=25                              ; stop value for n
  n=nl
  x=distribution(nl)                 ; first sample x
  t=sqrt(n).*(mean(x)-0.5)           ; first statistic t
                                     ; 0.5 is mean of uniform
  p=0~mask(1 1 white plus)
  dat=t~p                            ; plots t as white plus
;
  createdisplay(clt, 1, s2d)
  while (n.<nu)                      ; begin of loop
    x=distribution(n)                ; new sample x
    t=sqrt(n).*(mean(x)-0.5)         ; new statistic t
    dat=dat|(t~p)                    ; appends new t to previous t's
    writecon(27)
    show(dat s2d1)                   ; shows t's
    n=n+1
  endo                               ; end of loop
; 
  library(smoother) 
  y=denest(dat[,1])                  ; calculates density of t's 
  writecon(27) 
  show(dat y s2d1) 
  n=update (y 2 s2d1 line solid title "Asymp. distribution") 
  display(clt)                       ; shows t's and density 
  free(clt) 
endp           
