; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also  
; ----------------------------------------------------------------------------
;   Macro        MVAclusbh
; ----------------------------------------------------------------------------
;   Description  MVAclusbh performs cluster analysis
;                for the Boston housing data
; ----------------------------------------------------------------------------
library("xplore")
library("stats")
x=read("bostonh")
xt=x
n=rows(x)
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])
; base cluster analysis on 1 2 3 5 6 7 8 9 10 11 12 13 14
x=xt[,1:3|5:14]                            
x=(x-mean(x))./sqrt((n-1)*var(x)/n)  ; standardize
d=distance(x[,1:13],"euclid")
t = agglom (d, "ward", 2)
g = tree (t.g, 0)
g=g.points
l = 5.*(1:rows(g)/5) + (0:4)' - 4
setmaskl (g, l, 0, 1, 1)
setmaskp (g, 0, 0, 0)
axeson()
;setsize(600,300)
d = createdisplay (1,1)
show (d, 1, 1, g)  
setgopt(d,1,1,"ylabel","distance","xlabel","index","title","Ward method" )

;"Means"
mc=(mean(paf(x,t.pd==1))')~(mean(paf(x,t.pd==2))')
;"STDs"
vc=(sqrt(var(paf(x,t.pd==1)))')~(sqrt(var(paf(x,t.pd==2)))')
;"Number of points in clusters"
sc=(rows(paf(x,t.pd==1))')|(rows(paf(x,t.pd==2))')
"Cluster 1 contains"+string("%4.0f",sc[1])+" points"
"Cluster 2 contains"+string("%4.0f",sc[2])+" points"

"  Mean 1   STE 1    Mean 2   STE 2"
mc[,1]~(vc[,1]/sqrt(sc[1]))~mc[,2]~(vc[,2]/sqrt(sc[2]))



n=rows(x)
{e,v}=eigsm((n-1)*cov(x)/n)         ; spectral analysis

tmp=sort(e~v',-1)                    ; sort by eigenvalues
e=tmp[,1]
v=tmp[,2:cols(tmp)]'
v=v[,1:2]


d2 = createdisplay (1,1)
pl2=x*v
col=(2-t.pd)*4
art=t.pd*2+6
setmaskp(pl2, col, art, 4)
show(d2,1,1,pl2)
setgopt(d2,1,1,"ylabel","PC2","xlabel","PC1","title","Scatterplot")
z=xt[,1:7]                   ; extracts observations 1--7
;z=xt[,8:14]                  ; extracts observations  8--14
setsize(400,400)
plotsplom(z, grc.prep.none,col)







