; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     sort rows matrix min max grid var sker grcontour3
;               createdisplay show
; ----------------------------------------------------------------------------
;   Macro       MVAconthous3
; ----------------------------------------------------------------------------
;   Description  MVAconthous3 computes a kernel density estimate of variables  
;                X1, X5 and X14 of the Boston housing data ("bostonh.dat"). The 
;                bandwidth parameter are chosen by Scott's rule of thumb.
; ----------------------------------------------------------------------------
  x=read("bostonh")                      ; reads the data file
  x[506,14]=11.9													; fix the eof bug
  x=log(sort(x[,1|5|14]))                  ; extracts columns 4-6 and sorts
  library("smoother")              ; loads smoother library 
  library("graphic")               ; loads graphic library 
; 
  n=rows(x)
  nd=7                             ; number of grid points in each dimension
  nd=nd*matrix(cols(x))
  d=(max(x)-min(x))'./(nd-1)       ; binwidth in each dimension
  xg=sort(grid(min(x)',d,nd))
  h=2.5964*sqrt(var(x))*n^(-1/7)   ; bandwidth a la Scott's rule of thumb
  one=matrix(n)
  fh=sker(x,h,"qua",one,xg)        ; density estimate
;
  blue=1
  red=4
  green=2
  c = (0.1|0.3|0.5)*max(fh)        ; contours at 20%, 40%, 60% level
  color=(green|red|blue)
  g = grcontour3(xg~fh,c,color)    ; macro for contours 
;
  di  = createdisplay (1,1)
  show (di, 1, 1, g)   


