; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      gennorm eigsm setmaskp createdisplay show setgopt 
; ----------------------------------------------------------------------------
;   Macro        MVAcorrnorm
; ----------------------------------------------------------------------------
;   Description  MVAcorrnorm computes a two dimensional scatterplot of two 
;                correlated normal random variables  
; ----------------------------------------------------------------------------
 library("xplore")              ; xplore library
 mu = #(0, 0)                   ; mean  
 rho= 0.8                       ; correlation 
 n=150
 sigma= (1|rho)~(rho|1)         ; covariance matrix
 x=gennorm (n, mu, sigma)       ; generates n normal random variables
;
 di=createdisplay(1, 1)         ; creates display
 show(di, 1, 1, x)          ; shows x and transformed data y 
 titl="normal sample, n="+string("%1.0f",n)
 xlabl="x"
 ylabl="y"
 setgopt(di, 1, 1, "title",titl,"xlabel",xlabl,"ylabel",ylabl)
