proc()=MVAcpcaiv()
; ----------------------------------------------------------------------
; EBook         mva       
; ----------------------------------------------------------------------
; See_also      CPC, FluryStepUp, pca, CPCp, CPCprop, CPCFGalg
; ----------------------------------------------------------------------
; Macro         MVAcpcaiv
; ----------------------------------------------------------------------
; Description   MVAcpcaiv estimates a common principle components model for implied volatility data
;               and computes a likelihood ratio test
; ----------------------------------------------------------------------
; Usage         MVAcpcaiv()
; ----------------------------------------------------------------------
; Author        Matthias R. Fengler, 20010401
; ----------------------------------------------------------------------
  iv01=read("XFGvolsurf01.dat") ; 1 month maturity 
  iv02=read("XFGvolsurf02.dat") ; 2 month maturity 
  iv03=read("XFGvolsurf03.dat") ; 3 month maturity 

  Aiv01=cov(iv01)*1e5
  Aiv02=cov(iv02)*1e5
  Aiv03=cov(iv03)*1e5
  A=Aiv01|Aiv02|Aiv03
  A=reshape(A',#(6,6,3))     ; reshape data into an array
  n=#(253,253,253)           ; number of trading days in 1999
  ZZ=CPC(A,n)                ; call cpc quantlet
  "Common Transformation:"
  ZZ{1}                      ; print othorgonal matrix
  "Estimated Population Covariances:"
  ZZ{5}                      ; print estimated pop.-covariances	

  T=n'*(log(det(ZZ{5}))-log(det(A))) ; compute test statistic
  "Teststatistic: "
  T
  "p-value"
  1-cdfc(T,30)               ; find p-value

  B = grpcp (ZZ{1}[,1:3]',0|0|0)
  B.lsize=10|5|1
  d4  = createdisplay (1,1)
  show (d4, 1, 1, B)
  setgopt(d4,1,1,"title","PCP for CPCA, 3 eigenvectors","ylabel","loading","xlabel","moneyness")
endp

library("graphic")
library("stats")
MVAcpcaiv()



