; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     denest setmaskl setmaskp createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAdenbank
; ----------------------------------------------------------------------------
;   Description  MVAdenbank computes kernel density estimates of the diagonal  
;                of the genuine and forged swiss bank notes ("bank2.dat"). The 
;                bandwidth parameter are chosen by Silverman's rule of thumb.
; ----------------------------------------------------------------------------
  x=read("bank2")                 ; reads the data file
  x1=x[1:100,6]                   ; first 100 observations
  x2=x[101:200,6]                 ; second 100 observations
  library("smoother")             ; loads the smoother library 
  fh1=denest(x1)                  ; density est. for x1
  fh2=denest(x2)                  ; density est. for x2
;
  line=(1:99)~(2:100)
  thick=4
  setmaskl(fh1, line,0,1,1)   ; creates a dashed line for 
  setmaskp(fh1, 0, 0, 0)          ; the density function 
  setmaskl(fh2, line,0,2,1)   ; creates a solid line for 
  setmaskp(fh2, 0, 0, 0)          ; the density function
;
  di=createdisplay(1, 1)
  show(di, 1, 1, fh1, fh2 )       ; show the 2 densities in one plot
;
  setgopt(di, 1, 1, "title", "Swiss bank notes")
  xlabl="counterfeit        /        genuine"
  ylabl="density estimates for diagonals"
  setgopt(di, 1, 1, "xlabel",xlabl,"ylabel",ylabl)

