; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     denest setmaskl setmaskp createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAdenbank2
; ----------------------------------------------------------------------------
;   Description  MVAdenbank2 computes the univariate densities of X4 and X5 
;                the Swiss bank notes data ("bank2.dat")      
; ----------------------------------------------------------------------------
  x=read("bank2")                      ; reads the data file
  library("smoother")                  ; loads the smoother library
  h=0.5                                ; bandwidth
  x4=x[1:100,4] 
  x5=x[1:100,5]
  fh4=denest(x[1:100,4], h)           ; density estimate for X4
  fh5=denest(x[1:100,5], h)           ; density estimate for X4
  setmaskl(fh4, (1: rows(x4))',0, 1, 2)  ; creates a solid line for 
  setmaskp(fh4, 0, 0, 0)              ; the density function 
  setmaskl(fh5, (1: rows(x4))',0, 1, 2)  ; creates a solid line for 
  setmaskp(fh5, 0, 0, 0)              ; the density function 
;           
  di=createdisplay(1, 2)               ; creates display
  show(di, 1, 1, fh4)                  ; shows density of X4 (left)
  show(di, 1, 2, fh5)                  ; shows density of X5 (right)
  setgopt(di, 1, 1, "title", "Swiss bank notes")
  setgopt(di, 1, 1, "xlabel", "lower inner frame (X4)","ylabel","density")
  setgopt(di, 1, 2, "title", "Swiss bank notes")
  setgopt(di, 1, 2, "xlabel", "upper inner frame (X5)","ylabel","density")


