; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     denest sker rows index min max denest2 matrix reshape sort 
;               grsurface grid createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAdenbank3
; ----------------------------------------------------------------------------
;   Description  MVAdenbank3 computes the product of the univariate density of X4
;   and X5 (left side) and and the joint density of X4 and X5 (right side) of
;   the Swiss bank notes data ("bank2.dat")     
; ----------------------------------------------------------------------------
 x=read("bank2")                     ; reads the data file
 library("graphic")
 x=x[1:100]
;
 m=min(x[,4:5])'                     ; origin for grid
 s=trans(max(x[,4:5])-min(x[,4:5]))
 h=0.5* #(1,1)                       ; bandwidth
 n=15*#(1,1)                         ; number of gridpoints
 d=s./n                              ; stepwidth
 xestx=sort(grid(m[1], d[1], n[1]))  ; univariate grid for X4
 xesty=sort(grid(m[2], d[2], n[2]))  ; univariate grid for X5
 xest2=grid(m, d , n)                ; bivariate grid for joint density
;
 fh4=sker(sort(x[,4]), h[1], "qua", matrix(rows(x)), xestx) 
                                     ; univariate density estimate
 fh5=sker(sort(x[,5]), h[2], "qua", matrix(rows(x)), xesty)
                                     ; univariate density estimate
 gh45=vec(fh4*fh5')                  ; product of univariate densities 
;
 fh45=sker(sort(x[,4:5]), h', "qua", matrix(rows(x)), sort(xest2)) 
                                     ; 2d density estimate for X4, X5
;
 sfh45=grsurface(sort(xest2)~fh45)
 sgh45=grsurface(xest2~gh45)
;
 di=createdisplay(1,2)
 show(di,1,2,sfh45)
 setgopt(di,1,2,"title","Swiss bank notes")
 show(di,1,1,sgh45)
 setgopt(di,1,1,"title","Swiss bank notes")
 

