; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      mean cov
; ----------------------------------------------------------------------------
;   Macro        MVAdiscbh
; ----------------------------------------------------------------------------
;   Description  MVAdiscbh demonstrates ML discrimination rule 
;                for boston housing data 
; ----------------------------------------------------------------------------
library("xplore")
library("stats")
x=read("bostonh")
xt=x
n=rows(x)
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])
;
;true=(xt[,14].>median(xt[,14]))
;true=x[,4]
x=xt[,1:3|5:14]                            
x=(x-mean(x))./sqrt((n-1)*var(x)/n)  ; standardize
d=distance(x[,1:13],"euclid")
t = agglom (d, "ward", 2)
true=t.pd          ; define the clusters, true=1 if cluster=1
;!!!uncomment the following lines to discriminate according to the price
;true=(xt[,14].>median(xt[,14]))+1
;x=x[,1:12]
;or Charles river indicator
;true=x[,4]+1
;
xg=paf(x,true==1)           
xf=paf(x,true==2)                     
;
mg=mean(xg)             ; mean 1
mf=mean(xf)             ; mean 2
m=(mf+mg)/2             ; mean of all 
;
s=((rows(xg)-1)*cov(xg)+(rows(xf)-1)*cov(xf))/(rows(xt)-2)    
                                 ; common variance matrix
alpha=inv(s)*(mg-mf)'            ; alpha for the discrimination rule
miss1=sum((xg-m)*alpha<0)        ; missclasified 1
miss2=sum((xf-m)*alpha>0)        ; missclasified 2
corr1=sum((xg-m)*alpha>0)        ; correctly clasified 1
corr2=sum((xf-m)*alpha<0)        ; correctly clasified 2
; 
"Group 1 classified as 2: "+string("%3.0f",miss1)|"Group 2 classified as 1: "+string("%3.0f",miss2)|"Group 1 classified as 1: "+string("%3.0f",corr1)|"Group 2 classified as 2: "+string("%3.0f",corr2)|"APER (apparent error rate):               "+string("%5.3f",(miss1+miss2)/rows(xt))
alphx=(x-m)*alpha
randomize(1)
plx=alphx~(true+0.05*normal(rows(true)))
col=(2-true)*4
art=true*2+6
setmaskp(plx, col, art, 4)
xline=grxline(0,0.8|2.2)
setsize(600,200)
axesoff()
disp=createdisplay(1,1)
show(disp,1,1,plx,xline)



