; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     normal mean cov paf show 
; ----------------------------------------------------------------------------
;   Macro       MVAdiscrex
; ----------------------------------------------------------------------------
;   Description  Simulates data from two normal
;                populations with different means
;                and calculates the corresponding
;                discriminant rule
; ----------------------------------------------------------------------------
library("stats")
s=(100~0)|(0~100)
x=normal(100,2)*sqrt(s)+(77~175)
y=normal(100,2)*sqrt(s)+(58~165)
d=createdisplay(1,1)
sigma=cov((x-mean(x))|(y-mean(y)))
m1=mean(x)
m2=mean(y)
alpha=inv(sigma)*(m1'-m2')
mu=(m1+m2)/2
y2=(mu)*alpha-alpha[1]*(x[,1]|y[,1]) 
y2=y2/alpha[2]
disc=(x[,1]|y[,1])~y2
cond=((y2<=max(x[,2]|y[,2]))).*((y2>=min(x[,2]|y[,2])))
cond=cond.+(mean(cond)==0)
disc=paf(disc,cond)
setmaskp(y,4,2,8)
setmaskp(x,1,3,8)
disc=setmask(disc,"line","green","thin")
show(d,1,1,x,y,disc)
setgopt(d,1,1,"title","Discrimination rule")