; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grcontour2
; ----------------------------------------------------------------------------
;   Macro       MVAdrafbank4
; ----------------------------------------------------------------------------
;   Description  MVAdrafbank4 computes a Draftman Plot and Density Contours 
;                for columns 1, 2, 5 and 6
;                of the Swiss bank notes data ("bank2.dat")
; ----------------------------------------------------------------------------
proc()=main()
 x=read("bank2")
 x=x[,3:6]
 p = cols(x)
 n=rows(x)
 color=matrix(100) | 4*matrix(100)
 layout=3*matrix(100)|12*matrix(100) 
 di=createdisplay(p,p)
 i=0
 while (i.<p)
  i=i+1
  j=0
   while (j.<p)
    j=j+1
    if (i>j)
     xx=x[,j]~x[,i]
     nd=15                            ; number of grid points in each dimension
     nd=nd*matrix(cols(xx))
     d=(max(xx)-min(xx))'./(nd-1)     ; binwidth in each dimension
     xg=sort(grid(min(xx)',d,nd))
     h=2.6073*sqrt(var(xx))*n^(-1/6)  ; bandwidth a la Scott's rule of thumb
     one=matrix(n)
     fh=denxestp(xx,h,"qua",xg)
     fh[,3]=fh[,3]/max(fh[,3])        
;
     c  = (1:11)/12                   ; contours levels 
     col=(0:6)|(0:3)
     g = grcontour2(fh,c,col)         ; macro for contours 
     show(di,j,i,g)
     xx=x[,j]~x[,i]
     setmaskp(xx, color, layout, 8)
     show(di,i,j,xx)
     endif
  endo
 endo
show(di, 1, 1, "Var 3") 
show(di, 2, 2, "Var 4") 
show(di, 3, 3, "Var 5") 
show(di, 4, 4, "Var 6") 
endp
library("graphic")
library("smoother")
main()  


