; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      normal
; ----------------------------------------------------------------------------
;   Macro        MVAedfbootstrap
; ----------------------------------------------------------------------------
;   Description  MVAedfbootstrap draws 3 bootstrap samples from a simulate data 
;                standard normal dataset and plots their empirical 
;                distribution functions (edf).
; ----------------------------------------------------------------------------
n=100                        ; sample size
;
x=normal(n)                  ; normal data
x=sort(x)                    ; sort data
;
edf=sort((x[2:n]~(1:n-1)/n)|(x[1:n-1]~(1:n-1)/n),1:2)
edf=(edf[1,1]~0)|edf|(edf[rows(edf),1]~1)
;
xs1=x[ceil(n.*uniform(n))]   ; 1st bootstrap sample
xs2=x[ceil(n.*uniform(n))]   ; 2nd bootstrap sample
;
xs1=sort(xs1)                ; sort bootstrap samples
xs2=sort(xs2)                ; 
;
edfs1=sort((xs1[2:n]~(1:n-1)/n)|(xs1[1:n-1]~(1:n-1)/n),1:2)
edfs1=(edfs1[1,1]~0)|edfs1|(edfs1[rows(edfs1),1]~1)
edfs2=sort((xs2[2:n]~(1:n-1)/n)|(xs2[1:n-1]~(1:n-1)/n),1:2)
edfs2=(edfs2[1,1]~0)|edfs2|(edfs2[rows(edfs2),1]~1)
;
setmaskp(edfs1,0,0,0)
setmaskp(edfs2,0,0,0)
setmaskp(edf  ,0,0,0)
setmaskl(edfs1,(1:2*n)',1,2,2)
setmaskl(edfs2,(1:2*n)',4,2,2)
setmaskl(edf  ,(1:2*n)',2,1,4)
;
di=createdisplay(1,1)
show(di,1,1,edfs1,edfs2,edf)
nstr=string("%1.0f",n)
setgopt(di,1,1,"title","EDF and 2 bootstrap EDF's, n="+nstr,"xlabel","x","ylabel","edfs{1..3}(x)")
