; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      normal
; ----------------------------------------------------------------------------
;   Macro        MVAedfnormal2
; ----------------------------------------------------------------------------
;   Description  MVAedfnormal2 draws n=1000 observations from a standard normal distribution
;                and plots its empirical distribution function (edf) vs.
;                the normal cumulative distribution function (cdf).
; ----------------------------------------------------------------------------
    n=1000                        ; sample size
     ;
     x=normal(n)                  ; normal data
     x=sort(x)                    ; sort data
     ;
     cdf=x~cdfn(x)
     edf=sort((x[2:n]~(1:n-1)/n)|(x[1:n-1]~(1:n-1)/n),1:2)
     edf=(edf[1,1]~0)|edf|(edf[rows(edf),1]~1)
     ;
     setmaskp(edf,0,0,0)
     setmaskp(cdf,0,0,0)
     setmaskl(edf,(1:2*n)',0,1,4)
     setmaskl(cdf,(1:n)',1,1,2)
     ;
     di=createdisplay(1,1)
     show(di,1,1,cdf,edf)
     nstr=string("%1.0f",n)
     setgopt(di,1,1,"title","EDF and CDF, n="+nstr,"xlabel","x","ylabel","edf(x), cdf(x)")