; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grface
; ----------------------------------------------------------------------------
;   Macro       MVAfacehousing
; ----------------------------------------------------------------------------
;   Description  MVAfacehousing plots Flury faces for subset of the Boston housing data
; ----------------------------------------------------------------------------
 x=read("bostonh")                      ; reads the data file
 x[506,14]=11.9													; fix the eof bug
 library("graphic")                     ; loads the graphic library
 x=log(x)~(x[,14]>median(x[,14]))
 x=x[351:380,]
 h=x[,1|5|8|11|13|14]                          ; extracts observations 96-105
      
 
q=0.*matrix(1,36)   ; do not use any facepart
q[,1] =1            ; right eye size
q[,19]=1            ; left eye size
q[,2] =2            ; right pupil size
q[,20]=2            ; left pupil size 
q[,4] =3            ; right eye slant
q[,22]=3            ; left eye slant
q[,11]=4            ; right upper hair line
q[,29]=4            ; left upper hair line
q[,12]=5            ; right lower hairline
q[,30]=5            ; left lower hairline
q[,13]=6            ; right face line
q[,14]=6            ; right darkness of hair
q[,31]=6            ; left face line
q[,32]=6            ; left darkness of hair
draw=grface(h,q,5)
 axesoff()
 di=createdisplay(1,1)              ; creates display
 show(di,1,1,draw)                  ; shows plot
 setgopt(di,1,1,"title","Flury faces for Boston housing")

