; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grhist
; ----------------------------------------------------------------------------
;   Macro       MVAhisbank1
; ----------------------------------------------------------------------------
;   Description  MVAhisbank1 computes 4 histograms for the diagonal of the 
;                forged swiss bank notes ("bank2.dat"). The histograms are
;                different w.r.t. their binwidth. 
; ----------------------------------------------------------------------------
  x=read("bank2")                  ; reads the data file
  library("smoother")              ; loads the smoother library  
  library("graphic")               ; loads the graphic library
  x=x[101:200,6]                   ; diagonal for second 100 observations  
                                   ;  
  fh1=grhist(x, 0.1, 137.75)       ; histogram, binwith 0.1, origin 137.75 
  fh2=grhist(x, 0.2, 137.75)       ; commands to compute  
  fh3=grhist(x, 0.3, 137.75)       ; histograms with alternative  
  fh4=grhist(x, 0.4, 137.75)       ; binwidths 0.2, 0.3, 0.4  
                                   ;  
  axeson()
  di=createdisplay(2,2)            ; creates 4 windows  
  show(di, 1, 1, fh1)              ; commands to show the histograms
  show(di, 2, 1, fh2)              ; in the four windows
  show(di, 1, 2, fh3)
  show(di, 2, 2, fh4)  
  setgopt(di, 1, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","h=0.1")
  setgopt(di, 2, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","h=0.2")
  setgopt(di, 1, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","h=0.3")
  setgopt(di, 2, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","h=0.4") 

