; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grhist
; ----------------------------------------------------------------------------
;   Macro       MVAhisbank2
; ----------------------------------------------------------------------------
;   Description  MVAhisbank2 computes 4 histograms for the diagonal of the 
;                forged swiss bank notes ("bank2.dat"). The histograms are
;                different w.r.t. their origin. 
; ----------------------------------------------------------------------------
  x=read("bank2")                  ; reads the data file
  library("smoother")              ; loads the smoother library 
  library("graphic")               ; loads the graphic library 
  x=x[101:200,6]                   ; diagonal for second 100 observations  
                        ;  
  fh1=grhist(x, 0.4, 137.65)       ; commands to compute  
  fh2=grhist(x, 0.4, 137.7.5)       ; histograms with  
  fh3=grhist(x, 0.4, 137.85)       ; alternative origins  
  fh4=grhist(x, 0.4, 137.95)       ; 137.65, 137.75, 137.85, 137.95  
                                   ;  
  di=createdisplay(2, 2)           ; creates 4 windows                                    ;     
  show(di, 1, 1, fh1)
     adddata(di, 1, 1,137.65~0) 
               ; commands to show the histograms
  show(di, 2, 1, fh2)  
    adddata(di, 2, 1,137.75~0)             ; in the four windows
  show(di, 1, 2, fh3)
    adddata(di, 1, 2,137.85~0)               ;
  show(di, 2, 2, fh4) 
    adddata(di, 2, 2,137.95~0)              ;   
  setgopt(di, 1, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","x0=137.65")
  setgopt(di, 2, 1, "title", "Swiss bank notes","ylabel","diagonal","xlabel","x0=137.75")
  setgopt(di, 1, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","x0=137.85")
  setgopt(di, 2, 2, "title", "Swiss bank notes","ylabel","diagonal","xlabel","x0=137.95")                          ;   

