; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      gennorm eigsm setmaskp createdisplay show setgopt 
; ----------------------------------------------------------------------------
;   Macro        MVAjordnorm
; ----------------------------------------------------------------------------
;   Description  MVAjordnorm computes a two dimensional scatterplot of two 
;                correlated normal random variables and its rotation 
;                such that the directions of maximal variance are the 
;                coordinate axes.
; ----------------------------------------------------------------------------
 library("xplore")              ; xplore library
 mu = #(0, 0)                   ; mean  
 rho= 0.8                       ; correlation 
 n=150
 sigma= (1|rho)~(rho|1)         ; covariance matrix
 x=gennorm (n, mu, sigma)       ; generates n normal random variables
 {lambda,gamma}=eigsm(sigma)    ; calculates Jordan decomposition 
 lambda                         ; shows lambda 
 gamma                          ; shows gamma 
 y=x*gamma                      ; transforms data by gamma 
;
 blue=1
 middlesize=8
 ftriangle=10
 setmaskp(y,blue,ftriangle,middlesize) 
;
 di=createdisplay(1, 1)         ; creates display
 show(di, 1, 1, x, y )          ; shows x and transformed data y 
 titl="normal sample, n="+string("%1.0f",n)
 xlabl="original data (x1), rotated data (x1)"
 ylabl="original data (y2), rotated data (y2)"
 setgopt(di, 1, 1, "title",titl,"xlabel",xlabl,"ylabel",ylabl)
