; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAmeanvar
; ----------------------------------------------------------------------------
;   Description  MVAmeanvar simulates many random portfolios
;                and displays their mean return versus volatility                
; ----------------------------------------------------------------------------  
proc ()=example()
  x1=read("ibm")                        ; MVAreturns for IBM
  x2=read("panam")                      ; MVAreturns for Pan Am. Airways
  x3=read("delta")                      ; MVAreturns for Delta Airlines
  x4=read("coned")                      ; MVAreturns for Cons. Edison
  x5=read("gerber")                     ; MVAreturns for Gerber
  x6=read("texaco")                     ; MVAreturns for Texaco
  x=x1~x2~x3~x4~x5~x6
  mu=mean(x)'
  sigma=cov(x)
  c=uniform(6)
  c=c/sum(c)
  plt=((0.5*(c'*cov(x)*c))~(c'*mu))
  i=1
  while (i<10000)
  i=i+1
  c=uniform(6)
  c=c/sum(c)
  plt=plt|((0.5*(c'*cov(x)*c))~(c'*mu))
  endo
  di=createdisplay(1,1)
  axes=graxes(plt,"origin",0|0,"xfmtstr","%7.5f")
  axesoff()
  setmaskp(plt,1,1,1)
  show(di,1,1,plt,axes)
endp
library("xplore")
library("graphic")
example()


