; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAmeanvaroptline
; ----------------------------------------------------------------------------
;   Description  MVAmeanvaroptline calculates and plots mean-variance efficient
;                portfolios on a grid of mean returns.              
; ----------------------------------------------------------------------------  
proc ()=example()
  x1=read("ibm")                        ; MVAreturns for IBM
  x2=read("panam")                      ; MVAreturns for Pan Am. Airways
  x3=read("delta")                      ; MVAreturns for Delta Airlines
  x4=read("coned")                      ; MVAreturns for Cons. Edison
  x5=read("gerber")                     ; MVAreturns for Gerber
  x6=read("texaco")                     ; MVAreturns for Texaco
  x=x1~x2~x3~x4~x5~x6
  mu=mean(x)'
  one=matrix(6,1)
  sigma=cov(x)
  c=uniform(6)
  c=c/sum(c)
  plt=((0.5*(c'*cov(x)*c))~(c'*mu))
  s=inv(sigma)
  l1=2*(0.02-(mu'*s*one)/(one'*s*one))/(mu'*s*mu-(one'*s*mu*mu'*s*one)/(one'*s*one)) 
  l2=(2-l1*one'*s*mu)/(one'*s*one)
  copt=s*(l1*mu+l2*one)/2
  pltopt=((0.5*(copt'*sigma*copt))~(copt'*mu))
  ret=0.002
  while (ret<0.025)
  ret=ret+0.002
  s=inv(sigma)
  l1=2*(ret-(mu'*s*one)/(one'*s*one))/(mu'*s*mu-(one'*s*mu*mu'*s*one)/(one'*s*one)) 
  l2=(2-l1*one'*s*mu)/(one'*s*one)
  copt=s*(l1*mu+l2*one)/2
  pltopt=pltopt|((0.5*(copt'*sigma*copt))~(copt'*mu))
  endo
  di=createdisplay(1,1)
  axes=graxes(pltopt,"origin",0|0,"xfmtstr","%7.5f","yfmtstr","%7.4f")
  axesoff()
  setmaskp(pltopt,4,2,8)
  show(di,1,1,pltopt,axes)
endp
library("xplore")
library("graphic")
example()




