; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also  
; ----------------------------------------------------------------------------
;   Macro        MVAlinregbh
; ----------------------------------------------------------------------------
; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      eigsm sort setmaskp createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAnpcahousi
; ----------------------------------------------------------------------------
;   Description  MVAnpcahousi performs a PCA for the standarized Boston housing data
;                ("bostonh.dat"). It shows the first two principal components and 
;                a screeplot of the eigenvalues.
; ----------------------------------------------------------------------------
library("xplore")
library("plot")
;
x=read("bostonh")                      ; reads the data file
library("graphic")                     ; loads the graphic library

xt=x
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])
xt=xt~(x[,14]>median(x[,14]))

color=xt[,15]*4
x=xt[,1:3|5:14]                            

n=rows(x)
x=(x-mean(x))./sqrt((n-1)*var(x)/n)  ; standardize
;
{e,v}=eigsm((n-1)*cov(x)/n)          ; spectral analysis
tmp=sort(e~v',-1)                    ; sort by eigenvalues
e=tmp[,1]
v=tmp[,2:cols(tmp)]'
;
axeson()
r=(x-mean(x))*v
r=corr(r~x)
r12=r[13:24,1:2]                        ; correlations between variables and pc's
r13=r[13:24,1|3]                        ; correlations between variables and pc's
r32=r[13:24,3|2]                        ; correlations between variables and pc's
r123=r[13:24,1:3]
r123

r12=setmask(r12,"text","x1"|"x3"|"x5"|"x6"|"x7"|"x8"|"x9"|"x10"|"x11"|"x12"|"x13"|"x14")
r13=setmask(r13,"text","x1"|"x3"|"x5"|"x6"|"x7"|"x8"|"x9"|"x10"|"x11"|"x12"|"x13"|"x14")
r32=setmask(r32,"text","x1"|"x3"|"x5"|"x6"|"x7"|"x8"|"x9"|"x10"|"x11"|"x12"|"x13"|"x14")
r123=setmask(r123,"text","x1"|"x3"|"x5"|"x6"|"x7"|"x8"|"x9"|"x10"|"x11"|"x12"|"x13"|"x14")
;
ucircle=cos((0:360)/180*pi)~sin((0:360)/180*pi)
ucircle=setmask(ucircle,"line","thin","dashed")
dum=0*matrix(rows(ucircle.data))
ucircle1=ucircle
ucircle2=ucircle
ucircle3=ucircle
ucircle1.data=ucircle.data~dum
ucircle2.data=dum~ucircle.data
ucircle3.data=ucircle.data[,1]~dum~ucircle.data[,2]
xline=setmask(#(-1.1,1.1)~#(0,0),"line")
yline=setmask(#(0,0)~#(-1.1,1.1),"line")
;
di=createdisplay(2,2)
show(di,2,2,(1:rows(e))~e)
setgopt(di,2,2,"title","Boston housing","xlabel","index","ylabel","lambda")
show(di,1,1,r12,ucircle,xline,yline)
setgopt(di,1,1,"title","Boston housing","xlabel","first PC","ylabel","second PC")
show(di,1,2,r32,ucircle,xline,yline)
setgopt(di,1,2,"title","Boston housing","xlabel","third PC","ylabel","second PC")
show(di,2,1,r13,ucircle,xline,yline)
setgopt(di,2,1,"title","Boston housing","xlabel","first PC","ylabel","third PC")
show(di,2,2,r123,ucircle1,ucircle2,ucircle3)






