; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      eigsm sort setmaskp createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAnpcausco
; ----------------------------------------------------------------------------
;   Description  MVAnpcausco performs a PCA for the standarized US company data
;                ("uscomp2.dat") and shows the first two principal components 
;                a screeplot of the eigenvalues.
; ----------------------------------------------------------------------------
library("xplore")
library("plot")
;
x=read("uscomp2")                    ; read data
x=x[,2:7]
n=rows(x)
x=(x-mean(x))./sqrt((n-1)*var(x)/n)  ; standardize
;
{e,v}=eigsm((n-1)*cov(x)/n)          ; spectral analysis
tmp=sort(e~v',-1)                    ; sort by eigenvalues
e=tmp[,1]
v=tmp[,2:7]'
;
sectors=string("H",1:2)|string("E",3:17)|string("F",18:34)
sectors=sectors|string("H",35:42)|string("M",43:52)|string("*",53:63)
sectors=sectors|string("R",64:73)|string("*",74:79)
;
di=createdisplay(2,1)                
setfractions(di, 3|1, 1)
x=x*v                                ; principal components
x12=setmask(x[,1:2],"text",sectors)
;
show(di,1,1,x12)
show(di,2,1,(1:6)~e)                 ; screeplot of eigenvalues
setgopt(di,1,1,"title","first  vs. second PC","xlabel","pc1","ylabel","pc2")
setgopt(di,2,1, "title","eigenvalues of S","xlabel","index","ylabel","lambda")
