; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      grpcp
; ----------------------------------------------------------------------------
;   Macro        MVAparcoo1
; ----------------------------------------------------------------------------
;   Description  MVAparcoo1 computes a parallel coordinate plot for the 
;   observations 96-105 of the Swiss bank notes data ("bank2.dat").
; ----------------------------------------------------------------------------
 x=read("bank2")                    ; reads data
 library("graphic")
 z=x[96:105,]                       ; extracts observations 96-105
 z=(z-min(z))./(max(z)-min(z))      ; standardizes the data     
 col=(matrix(rows(z)/2)*0)|(matrix(rows(z)/2)*4)         
 pcp1=grpcp(z,col)                  ; parallel coordinate plot
;
 di=createdisplay(1,1)              ; creates display
 show(di,1,1,pcp1)                  ; shows plot
 setgopt(di,1,1,"xlabel","t","ylabel","f96 - f105")
 setgopt(di,1,1,"title","Parallel coordinate plot (Bank data)")
