; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also  gennorm eigsm order setmaskp setmaskl createdisplay setfractions setgopt
; ----------------------------------------------------------------------------
;   Macro        MVApcabank
; ----------------------------------------------------------------------------
;   Description  MVApcabank performs a PCA for the Swiss bank notes ("bank2.dat") 
;                and shows the first three principal components in 
;                two-dimensional scatterplots. Additionally, a screeplot
;                of the eigenvalues is displayed.
; ----------------------------------------------------------------------------
library("xplore")
;
x=read("bank2")                      ; read data
n=rows(x)
{e,v}=eigsm((n-1)*cov(x)/n)                  ; spectral analysis
tmp=sort(e~v',-1)                    ; sort by eigenvalues
e=tmp[,1]
v=tmp[,2:7]'
;
di=createdisplay(2,2)                
show(di,2,2,(1:6)~e)                 ; screeplot of eigenvalues
x=x*v                                ; principal components
;
m=3*matrix(100)|11*matrix(100)       ; mask for genuine/false
x12=x[,1:2]
x23=x[,2:3]
x13=x[,1]~x[,3]
setmaskp(x12,0,m,8)
setmaskp(x23,0,m,8)
setmaskp(x13,0,m,8)
;
show(di,1,1,x12)
show(di,1,2,x23)
show(di,2,1,x13)
setgopt(di,1,1,"title","first  vs. second PC","xlabel","pc1","ylabel","pc2")
setgopt(di,1,2,"title","second vs. third PC ","xlabel","pc2","ylabel","pc3")
setgopt(di,2,1,"title","first  vs. third PC ","xlabel","pc1","ylabel","pc3")
setgopt(di,2,2, "title","eigenvalues of S","xlabel","index","ylabel","lambda")
