; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grbox grrot grmove createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVApcphousingall
; ----------------------------------------------------------------------------
;   Description  MVApcphousingall computes PCP for all of the Boston housing data
; ----------------------------------------------------------------------------
 x=read("bostonh")                      ; reads the data file
 library("graphic")                     ; loads the graphic library
 x=x~(x[,14]>median(x[,14]))
 z=x[,1:14]    
 z=(z-min(z))./(max(z)-min(z)+(max(z)==min(z)))      ; standardizes the data            
 
 pcp1=grpcp(z,x[,15]*4)                  ; parallel coordinate plot
;
 axesoff()
 di=createdisplay(1,1)              ; creates display
 axes=graxes((0.5~-0.02)|(14.5~1.02), "origin", 0.5|-0.02,"xticks",1:14,"xtext",1:14,"xfmtstr","%2.0f","yticklen",0.05,"yticks",0|1)
 show(di,1,1,pcp1,axes)                  ; shows plot
 setgopt(di,1,1,"title","Boston housing")



