; ---------------------------------------------------------------------
; EBook       mva
; ---------------------------------------------------------------------
; Macro       MVAppsib2
; ---------------------------------------------------------------------
; Description Projection pursuit for the Boston housing data 
; ---------------------------------------------------------------------
proc(indmax)=ppexample(x, h, n)
               xg   = grid(-4, 0.1, 81)
               zd   = setmask(xg~pdfn(xg), "line", "green")
               p    = normal(cols(x))
               p    = p/sqrt(sum(p^2))
               xp   = x*p
               indmin = p
               indmax = p
               imin = ppsj1ind(xp)
               imax = imin  
               xi   = setmask(grdot(xp), "blue")
               xi[,2] = -0.11-0.08*xi[,2]
               fi   = setmask(denxest(xp, h, "rqua", xg), "line", "blue")
               xa   = setmask(grdot(xp), "red")
               xa[,2] = -0.1-0.08*xa[,2]
               fa   = setmask(denxest(xp, h, "rqua", xg), "line", "red")
               d    = createdisplay (2,1)
               setfractions(d,2|1,1)
               show (d, 1, 1, zd, xa, fa, xi, fi)
               inds = 0|imax
               pind = (1:rows(inds))~inds
               cind = 2|1
               setmaskp (pind, cind)
               show (d, 2, 1, pind)
               i    = 0
               pmin = 1
               pmax = 1
               while (i<n)
                 i   = i+1
                 p   = normal(cols(x))
                 p   = p/sqrt(sum(p^2))
                 xp  = x*p
                 ind = ppsj1ind(xp)
                 inds = inds|ind
                 pind = (1:rows(inds))~inds
                 cind = 0.*matrix(rows(pind))
                 cind[maxind(inds)] = 4
                 cind[minind(inds[2:rows(inds)])+1] = 1
                 cind[1] = 2
                 setmaskp(pind, cind)
                 show (d, 2, 1, pind)
                 if (ind>imax)
                   imax = ind
                   indmax = p
                   xa   = setmask(grdot(xp), "red")
                   xa[,2] = -0.01-0.08.*xa[,2]
                   fa   = setmask(denxest(xp, h, "rqua", xg), "line", "red")
                   show (d, 1, 1, zd, xa, fa, xi, fi)
                   pmin = i
                 endif      
                 if (ind<imin)
                   imin = ind
                   indmin=p
                   xi   = setmask(grdot(xp), "blue")
                   xi[,2] = -0.11-0.08*xi[,2]
                   fi   = setmask(denxest(xp, h, "rqua", xg), "line", "blue")
                   show (d, 1, 1, zd, xa, fa, xi, fi)
                   pmax = i
                 endif
               endo
               indmin
               indmax
             endp
             library("pp")
             library ("plot")
             library ("smoother")
             x=read("bostonh")                      ; reads the data file
             library("graphic")                     ; loads the graphic library
             ;x=log(x[,1])~x[,2]~x[,3]~x[,4]~log(x[,5])~log(x[,6])~(x[,7])^(5/2)~log(x[,8:10])~exp(0.4*(x[,11]))~(-sqrt((x[,12])./1000)+0.63)~sqrt(x[,13])~log(x[,14])~(x[,14]>median(x[,14]))
             x=x[,4|6]                          ; extracts observations 96-105
             x = transform(x, grc.prep.sphere)
             randomize(250)
             h = 2.62.*rows(x)^(-1/5)
             n = 20
             p=ppexample(x, h, n)

