; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     gls
; ----------------------------------------------------------------------------
;   Macro       MVAregbank
; ----------------------------------------------------------------------------
;   Description  MVAregbank computes a linear regression of column 5 (upper 
;                inner frame) and column 4 (lower inner frame) for the 
;                genuine Swiss bank notes ("bank2.dat")
; ----------------------------------------------------------------------------
  library("xplore")
;
  x=read("bank2")                     ; reads  data
  y=x[1:100,5]                        ; genuine notes, upper inner frame (X5)
  x=x[1:100,4]                        ; genuine notes, lower inner frame (X4)
  x=matrix(rows(x))~x                 ; add constant
;
  beta=gls(x,y)                       ; computes beta (lin. regression)
  d=x[,2]~y                           ; data points
  mima=(1|1)~(min(x[,2])|max(x[,2]))
  m=mima[,2]~(mima*beta)              ; regression line
  setmaskl(m, (1: rows(m))', 0, 2, 2) ; creates regression line
  setmaskp(m, 0, 0, 0)
; 
  di=createdisplay(1, 1)  
  show( di, 1, 1, m, d )              ; shows data and regression line
  setgopt(di, 1, 1, "title", "Swiss bank notes")
  setgopt(di, 1, 1, "xlabel","lower inner frame (X4), genuine")
  setgopt(di, 1, 1, "ylabel","upper inner frame (X5), genuine")


