; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     matrix gls setmaskl setmaskp createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAregpull
; ----------------------------------------------------------------------------
;   Description  MVAregpull computes a linear regression of sales (X1) on 
;                price (X2) from the pullovers data set ("pullover.dat")
; ----------------------------------------------------------------------------
 library("xplore")
;
 x=read("pullover")              ; reads the pullovers data
 y=x[,1]                         ; prices (X2)
 x=matrix(rows(x))~x[,2]         ; constant & sales (X1)
;
 beta=gls(x, y)                  ; computes beta (lin. regression)
 d=x[,2]~y                       ; data points
 line=min(x[,2])|max(x[,2])
 m=line~(((1|1)~line)*beta)      ; regression line
 setmaskl(m, (1: rows(m))', 0, 2, 2)
 setmaskp(m, 0, 0, 0)
;
 di=createdisplay(1, 1)
 show(di, 1, 1, m, d)            ; shows data and regression line
 setgopt(di, 1, 1, "title", "pullovers data")
 setgopt(di, 1, 1, "xlabel","price (X2)","ylabel","sales (X2)")


