; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also  read grid setmaskp setmaskt createdisplay show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAreturns
; ----------------------------------------------------------------------------
;   Description  MVAreturns shows monthly returns of six US firms from 
;                Jan'78 to Dec'87.
; ----------------------------------------------------------------------------
  x1=read("ibm")                        ; MVAreturns for IBM
  x2=read("panam")                      ; MVAreturns for Pan Am. Airways
  x3=read("delta")                      ; MVAreturns for Delta Airlines
  x4=read("coned")                      ; MVAreturns for Cons. Edison
  x5=read("gerber")                     ; MVAreturns for Gerber
  x6=read("texaco")                     ; MVAreturns for Texaco
;
  t=grid(1, 1, 120)                     ; grid for time
;
  d1=t~x1                               ; time series for IBM
  d2=t~x2                               ; time series for PanAm
  d3=t~x3                               ; time series for Delta Airlines
  d4=t~x4                               ; time series for Cons. Edison
  d5=t~x5                               ; time series for Gerber
  d6=t~x6                               ; time series for Texaco
;
  setmaskl(d1, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d1, 0, 0, 0)          ; the density function 
  setmaskl(d2, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d2, 0, 0, 0)          ; the density function 
  setmaskl(d3, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d3, 0, 0, 0)          ; the density function 
  setmaskl(d4, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d4, 0, 0, 0)          ; the density function 
  setmaskl(d5, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d5, 0, 0, 0)          ; the density function 
  setmaskl(d6, (1:120)',0, 2)    ; creates a solid line for 
  setmaskp(d6, 0, 0, 0)          ; the density function 
;
  di=createdisplay(3,2)
  show(di,1,1,d1)
  show(di,2,1,d2)
  show(di,3,1,d3)
  show(di,1,2,d4)
  show(di,2,2,d5)
  show(di,3,2,d6)
;
  setgopt(di,1,1,"ylim",(-0.3|0.4),"title","IBM")
  setgopt(di,2,1,"ylim",(-0.3|0.4),"title","PanAm")
  setgopt(di,3,1,"ylim",(-0.3|0.4),"title","Delta Airlines")
  setgopt(di,1,2,"ylim",(-0.3|0.4),"title","Consolidated Edison")
  setgopt(di,2,2,"ylim",(-0.3|0.4),"title","Gerber")
  setgopt(di,3,2,"ylim",(-0.3|0.4),"title","Texaco")




