; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     createdisplay setmaskp show setgopt
; ----------------------------------------------------------------------------
;   Macro       MVAscabank456
; ----------------------------------------------------------------------------
;   Description  MVAscabank456 computes a three dimensional scatterplot for X4 
;                vs. X6 vs. X5 (lower inner frame vs. diagonal vs. upper inner
;                frame) of the of the Swiss bank notes ("bank2.dat")
; ----------------------------------------------------------------------------
   x=read("bank2")                       ; reads the bank data
   di=createdisplay(1, 1)               
   library("graphic")
   library("plot")
   layout=3*matrix(100)|12*matrix(100)
   color=1*matrix(100)|4*matrix(100)
   x456=x[,4:6]
   setmaskp(x456, color, layout, 8)      ; mask vector
   plot3d(1,x456)
   setgopt(plot3disp, 1, 1, "title", "Swiss bank notes") 

