; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      createdisplay setmaskp show setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAscabank56
; ----------------------------------------------------------------------------
;   Description  MVAscabank56 computes a two dimensional scatterplot of X5 vs. X6 
;                (upper inner frame vs. diagonal) of the Swiss bank notes 
;                ("bank2.dat")
; ----------------------------------------------------------------------------
   x=read("bank2")                   ; reads the bank data
   di=createdisplay(1, 1)               
   layout=3*matrix(100)|12*matrix(100)
   color=1*matrix(100)|4*matrix(100)
   x56=x[,5:6]
   setmaskp(x56, color, layout, 8)   ; mask vector
   show(di, 1, 1, x56)               ; 2D plot of variables 5 and 6
   setgopt(di, 1, 1, "title", "Swiss bank notes") 
   setgopt(di, 1, 1, "xlabel","upper inner frame (X5)","ylabel","diagonal (X6)")

