 ; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     
; ----------------------------------------------------------------------------
;   Macro       MVAscacar
; ----------------------------------------------------------------------------
;   Description  MVAscacar computes a two dimensional scatterplot of X2 (mileage)
;  and X8 (weight) from the car data set
; ----------------------------------------------------------------------------
x=read("carc")                   ; reads the whole car data file
 xu=paf(x[,3]~x[,9], x[,14].=1)  ; mileage & weight for US cars
 xj=paf(x[,3]~x[,9], x[,14].=2)  ; mileage & weight for Japanese cars
 xe=paf(x[,3]~x[,9], x[,14].=3)  ; mileage & weight for European cars
;  
 layout=3*matrix(rows(xj))       ; creates circles for the Japanese cars
 setmaskp(xj, 0, layout, 8)
 layout=12*matrix(rows(xu))      ; creates stars for the U.S. cars
 setmaskp(xu, 0, layout, 8)
 layout=11*matrix(rows(xe))      ; creates pluspoints for the European cars
 setmaskp(xe, 0, layout, 8)
;
 di=createdisplay(1, 1)          ; creates display
 show(di, 1, 1, xu, xj, xe )     ; shows scatterplot
 setgopt(di, 1, 1, "title", "car data")
 setgopt(di, 1, 1, "xlabel","mileage (X2)","ylabel","weight (X8)")
