; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAsimdepex
; ----------------------------------------------------------------------------
;   Description  MVAsimdepex computes the simplicial depth estimator
; ----------------------------------------------------------------------------
library("stats")
randomize(101)
n = 100
r1 = 3
r2 = 1
s1 = 1
s2 = 1
f = 4/10
d = 6.28*uniform(n,2)
x = uniform(n,2)
d[,1] = (r1+uniform((1-f)*n)) | (r2+uniform(f*n))
c = 0 * matrix(100,2)
c[,1] = (0*matrix((1-f)*n)) | (s1*matrix(f*n))
c[,2] = (0*matrix((1-f)*n)) | (s2*matrix(f*n))
; x = d
x[,1] = c[,1] + d[,1].*cos(d[,2])
x[,2] = c[,2] + d[,1].*sin(d[,2])
{med,dep} = simdep(x)
med
dep
di=createdisplay(1,1)
median = med'
setmaskp(median,4,12,15)    ; median is a red big star
dat=x
col=round(10*dep/max(dep))
col = 5 * (col==1) + 5 * (col==2) + 3 * (col==3) + 6 * (col==4) + 4 * (col==5) + 2 * (col==6) + 8 * (col==7) + 9 * (col==8) + 10 * (col==9) + 7 * (col==10)
setmaskp(dat, 1, col, 6)
show(di, 1, 1, dat, median)
setgopt(di, 1, 1, "title", "Simplicial depth")
/*
1 is a point, 
2 is a rectangle,
3 is a circle, 
4 is a triangle, 
5 is a X-symbol, 
6 is a rhombus, 
7 is a filled rectangle, 
8 is a filled circle, 
9 is a filled rhombus, 
10 is a filled triangle
*/
