; ----------------------------------------------------------------------------
;  EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;  Macro         MVAsir2data
; ----------------------------------------------------------------------------
;  Description   MVAsir2data generates a data set and applies the sliced inverse
;                regression algorithm (SIR II) for dimension reduction.
; ----------------------------------------------------------------------------
randomize(1998)
library("metrics")
;
n=300
x=normal(n,3)
e=normal(n,1)
b2=#(1,-1,-1)
b1=#(1,1,1)
i=#(1,2,3)
y=x*b1+((x*b1)^3)+4*((x*b2)^2)+e
{f,g}=sir2(x,y,-20)
f1=(x*b1+((x*b1)^3)+4*((x*b2)^2))
m1=(x*b1)~(x*b1+((x*b1)^3)+4*((x*b2)^2))
m2=(x*b2)~(x*b1+((x*b1)^3)+4*((x*b2)^2))
m1=(x*b1)~y
m2=(x*b2)~y
m1=sort(m1)
m2=sort(m2)
sg=sum(g)
g=g/sg
psi=#(g[1],g[1]+g[2],g[1]+g[2]+g[3])
;
di=createdisplay(2,2)
hh=createdisplay(1,1)
kk=createdisplay(1,1)
;
ig=i~g
setmaskp(ig,0,12,8)
;
p11=x*f[,1]~y
setmaskp(p11,1,2,2)
p12=x*f[,1]~x*f[,2]~y
setmaskp(p12,1,2,2)
p21=x*f[,2]~y
setmaskp(p21,1,2,2)
show(di,1,1,p11)
show(di,2,1,p21)
show(di,1,2,p12)
show(di,2,2,ig,i~psi)
show(hh,1,1,m1)
show(kk,1,1,m2)
;
setgopt(hh,1,1,"title","True index vs Response","xlabel","first index","ylabel","response")
setgopt(kk,1,1,"title","True index vs Response","xlabel","second index","ylabel","response")
setgopt(di,1,1,"title","XBeta1 vs Response","xlabel","first index","ylabel","response")
setgopt(di,2,1,"title","XBeta2 vs Response","xlabel","second index","ylabel","response")
setgopt(di,1,2,"title","XBeta1 XBeta2 Response")
setgopt(di,2,2,"title","Scree Plot","xlabel","K","ylabel","Psi(k) Eigelvalues")

