; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      agglom grsunflower
; ----------------------------------------------------------------------------
;   Macro        MVAstuclus
; ----------------------------------------------------------------------------
;   Description  MVAstuclus performs cluster analysis for data
;                on MVA students in 2001 
; ----------------------------------------------------------------------------
proc()=main()
 x1=#(185,182,174,180,169,180,160,162,175,180)
 x2=#(45.5,43,41,43,41,43,36,36,39,39)
 x=x1~x2 
;x=read("bank2")
;x1=x[,1]
;x2=x[,2]
;x=x/sqrt(var(x))
; compute the euclidean distance
 i=0
 d=0.*matrix(rows(x),rows(x))
  while (i.<cols(x))
   i = i+1
   d = d+(x[,i] - x[,i]')^2
  endo
  d = sqrt(d) 
  ; use the WARD method to cluster the data
  t = agglom (d, "WARD", 2)
  t.p
 di=createdisplay(1,1)  		; create 1-window display 
; we set color of the points
 x3=t.p
 x=setmask(x1~x2,"color",x3) 
 x=grsunflower(x1~x2,1|1,0|0,x3)
 show(di, 1, 1,x)
setgopt(di,1,1,"title","Clustering of MVA students","ylabel","Height","xlabel","Shoe Size")
endp

library("xplore")
library("plot")
library("graphic")

main()